<? if (!defined("_GNUBOARD_")) exit; ?>
<script>
function fsearchbox_submit(f)
{
    if (f.stx.value.length < 2) {
        alert("검색어는 두글자 이상 입력하십시오.");
        f.stx.select();
        f.stx.focus();
        return false;
    }

    // 검색에 많은 부하가 걸리는 경우 이 주석을 제거하세요.
    var cnt = 0;
    for (var i=0; i<f.stx.value.length; i++) {
        if (f.stx.value.charAt(i) == ' ')
            cnt++;
    }

    if (cnt > 1) {
        alert("빠른 검색을 위하여 검색어에 공백은 한개만 입력할 수 있습니다.");
        f.stx.select();
        f.stx.focus();
        return false;
    }

    f.action = "<?=$g4['bbs_path']?>/search.php";
    return true;
}
</script>
<link rel="stylesheet" type="text/css" href="<?=$zms[topmenu_path]?>/style.css">
<style>
.menu_point		{ background:url("<?=$zms[topmenu_path]?>/img/point.gif") no-repeat 0 -511px; padding:0px; }				/* ▼ */
.menu_point1	{ background:url("<?=$zms[topmenu_path]?>/img/point.gif") no-repeat 0 -287px; padding:0px; }				/* ▲ */
.menu_point2	{ background:url("<?=$zms[topmenu_path]?>/img/point.gif") no-repeat -12px -130px; padding:0 10px 0 0; }			/* ▶ */
.menu_vline		{ border-left:1px solid #E3E3E3; }
/* .menu_vline		{ background:url("<?=$zms[topmenu_path]?>/img/point.gif") no-repeat 0 -670px; padding:0px; margin:0px; }		/* | */
</style>

<header>
<div id="myinfo">
<ul>
	<li class="login">
<?	if ($member['mb_id']) { ?>
		<div class="nickname"><?=$member['mb_nick']?> <span class="updown">▼</span></div>
		<ul class="login_sub">
			<li><a href="<?=$g4[path]?>/bbs/memo.php">쪽지</a> <? if($zm_member[new_memo] > 0) : ?><img src="<?=$zms[topmenu_path]?>/img/icon_new.gif" valign="middle"><? endif; ?></li>
			<li><a href="<?=$g4['bbs_path']?>/logout.php">로그아웃</a></li>
		</ul>
<?	} else { ?>
		<a href="<?=$g4['bbs_path']?>/login.php?url=<?=$urlencode?>">로그인</a>
<?	} ?>
	</li>
	<li class="logo"><a href="<?=$g4[url]?>/" target="_top"><img src="<?=$zms[topmenu_path]?>/img/site_logo.gif"></a></li>
	<li class="alrim"><?=zm_service("add-on", "alimi")?></li>
	<li class="allmenu"><a href="#" onClick="zm_more_menu()"><img src="<?=$zms[topmenu_path]?>/img/icon_menu.png"></a></li>
</ul>
</div>

<form name="fsearchbox" method="get" onsubmit="return fsearchbox_submit(this);">
<div id="search">
	<input type="hidden" name="sfl" value="wr_subject||wr_content">
	<input type="hidden" name="sop" value="and">
	<input class="inp_search" name="stx" value="<?=$_REQUEST[stx]?>"><input class="inp_submit" type="image" src="<?=$zms[topmenu_path]?>/img/btn_search.gif">
</div>
</form>
</header>

<div id="nav_box">
<ul id="nav">
<?	for($i = 0; $i < count($zm_menu); $i++) :
		if(!$zm_menu[$i][more] && $zm_menu[$i][recno] && $zm_menu[$i][mobile]) :		//-- 더보기 아닌 것만 & 모바일 노출 선택 ?>
	<li><a href="<?=$zm_menu["$i"][href]?>" target="<?=$zm_menu["$i"][target]?>" onClick="this.blur();"><?=$zm_menu["$i"][m_group_name]?></a></li>
<?		endif;
	endfor; ?>
</ul>
</div>
<? include("$zms[topmenu_path]/side_menu.skin.php"); ?>

<script>
var stx = <? if($_GET[stx]) echo "1"; else echo "0"; ?>

//-- section#zmb_doc_wrap은 main.skin.php에서 문서를 감싸고 있는 태그
function zm_more_menu(){
	zm_backlayer();

	if($("#menu_all").css("display") == "none") {
		//-- aside, secion의 현재 높이을 구함
		var s_height	= $(document).height();			//-- 문서의 높이에서 Topmenu 영역만큼 뺌. 상황에 따라서 적당히 조절
		var s_width		= $(document).width() - 100;			//-- 문서의 폭.
		var a_height	= $("#menu_all").height();
		$("#menu_all").css("width", s_width+"px");
		$("#menu_all").css("height", s_height+"px");

		//-- aside 높이가 section보다 작으면 높이를 section 높이로 변경
		//-- if(a_height < s_height) $("#menu_all").css("height", s_height+"px");
		//-- aside의 폭 만큼 윈쪽으로 이동
		$("#menu_all").css("top", "0px");
		$("#menu_all").css("left", "100px");

		$("#menu_all").css("display", "block");
	}else{
		$("#menu_all").css("display", "none");
	}
}

function zm_more_unroll(i){
	$("#zmb_menu_all_box").css("height", i+"px");

	if(i >= 200) { clearTimeout(hunroll); return; }

	i += 10;
	hunroll = setTimeout("zm_more_unroll("+i+")", 10);
}

function search_on(){
	$("#icon_search").css("display", "none");
	$("#search").css("display", "block");
}

$(document).ready(function(){
	if(stx == "1") search_on();

	$("div.nickname").click(function(e){
		$("li.login ul.login_sub").css("display", "block");
		$("li.login ul.login_sub").focus();
		$("div.nickname span.updown").html("▲");
	});
	$(document).click(function(e){
		console.log(e);
//		alert(e.target.className);
		if(e.target.className != "login_sub" && e.target.className != "nickname")
		{
			$("li.login ul.login_sub").css("display", "none");
			$("div.nickname span.updown").html("▼");
		}
	});
});
</script>